unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    RdGrFen: TRadioGroup;
    Button1: TButton;
    Button2: TButton;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  end;

var
  Form1: TForm1;

implementation
 Uses Utils;      {Utiliser le Unit utilit}
{$R *.DFM}


procedure TForm1.FormCreate(Sender: TObject);

{Objectif : la cration de la fentre, rcuprer les fentre qui seront
           utilises}

begin
     TrouverFenetre;
end;


procedure TForm1.Button1Click(Sender: TObject);

{Objectif :Cacher la fentre choisi par l'usager}

begin
    Case RdGrFen.ItemIndex Of
      0 : CacherFenetre( ProgMan );
      1 : CacherFenetre( ShellDll );
      2 : CacherFenetre( SysList );
      3 : CacherFenetre( ShellTray );
      4 : CacherFenetre( Bouton );
      5 : CacherFenetre( RebarWindow );
      6 : CacherFenetre( MTask );
      7: CacherFenetre( SysTabControl );
      8: CacherFenetre( TrayNotify );
    End;
end;

procedure TForm1.Button2Click(Sender: TObject);

{Objectif :Montrer la fentre choisi par l'usager}

begin
    Case RdGrFen.ItemIndex Of
      0 : AfficherFenetre( ProgMan );
      1 : AfficherFenetre( ShellDll );
      2 : AfficherFenetre( SysList );
      3 : AfficherFenetre( ShellTray );
      4 : AfficherFenetre( Bouton );
      5 : AfficherFenetre( RebarWindow );
      6 : AfficherFenetre( MTask );
      7: AfficherFenetre( SysTabControl );
      8: AfficherFenetre( TrayNotify );
    End;
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);

{Objectif :Avant de fermer le programme, rafficher toutes les fentres...}

begin
     AfficherFenetre( Progman );
     AfficherFenetre( Shelldll );
     AfficherFenetre( Syslist );
     AfficherFenetre( Shelltray );
     AfficherFenetre( Bouton );
     AfficherFenetre( Rebarwindow );
     AfficherFenetre( Mtask );
     AfficherFenetre( SysTabControl );
     AfficherFenetre( Traynotify );
end;

end.
